Package org.eclipse.m2m.atl.emftvm.launcher

## Class EMFTVMConsoleTracker

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.launcher.EMFTVMConsoleTracker

All Implemented Interfaces:
  `org.eclipse.ui.console.IPatternMatchListenerDelegate`

    public class EMFTVMConsoleTracker
    extends java.lang.Object
    implements org.eclipse.ui.console.IPatternMatchListenerDelegate

The console tracker for EMFTVM transformations.

### Field Summary

Fields
`protected org.eclipse.ui.console.TextConsole` `console`

### Constructor Summary

Constructors
`EMFTVMConsoleTracker()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `connect​(org.eclipse.ui.console.TextConsole console)`
`void` `disconnect()`
`protected static org.eclipse.core.resources.IFile` `getFileFromModuleURI​(org.eclipse.emf.common.util.URI moduleURI)` Returns the `IFile` for `moduleURI`, or `null`.
`void` `matchFound​(org.eclipse.ui.console.PatternMatchEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### console

    protected org.eclipse.ui.console.TextConsole console

### Constructor Detail

#### EMFTVMConsoleTracker

    public EMFTVMConsoleTracker()

### Method Detail

#### connect

    public void connect​(org.eclipse.ui.console.TextConsole console)

Specified by:
  `connect` in interface `org.eclipse.ui.console.IPatternMatchListenerDelegate`

#### disconnect

    public void disconnect()

Specified by:
  `disconnect` in interface `org.eclipse.ui.console.IPatternMatchListenerDelegate`

#### matchFound

    public void matchFound​(org.eclipse.ui.console.PatternMatchEvent event)

Specified by:
  `matchFound` in interface `org.eclipse.ui.console.IPatternMatchListenerDelegate`

#### getFileFromModuleURI

    protected static org.eclipse.core.resources.IFile getFileFromModuleURI​(org.eclipse.emf.common.util.URI moduleURI)

Returns the `IFile` for `moduleURI`, or `null`.

Parameters:
  `moduleURI` - the module EMF URI
Returns:
  the `IFile` for `moduleURI`, or `null`.